tosca_definitions_version: cloudify_dsl_1_3
imports:
- http://www.getcloudify.org/spec/cloudify/3.4/types.yaml
- https://nexus01.research.att.com:8443/repository/solutioning01-mte2-raw/type_files/docker/2.2.0/node-type.yaml
- https://nexus01.research.att.com:8443/repository/solutioning01-mte2-raw/type_files/relationship/1.0.0/node-type.yaml
- http://nexus01.research.att.com:8081/repository/solutioning01-mte2-raw/type_files/dmaap/dmaap_mr.yaml
inputs:
  location_id:
    type: string
  service_id:
    type: string
node_templates:
  cdap_host_host:
    type: dcae.nodes.StreamingAnalytics.SelectedCDAPInfrastructure
    properties:
      location_id:
        get_input: location_id
      scn_override: cdap_broker.solutioning-central.dcae.att.com
    interfaces:
      cloudify.interfaces.lifecycle: {}
  tca_tca:
    type: dcae.nodes.MicroService.cdap
    properties:
      app_config:
        appDescription: DCAE Analytics Threshold Crossing Alert Application
        appName: dcae-tca
        tcaSubscriberOutputStreamName: TCASubscriberOutputStream
        tcaVESAlertsTableName: TCAVESAlertsTable
        tcaVESAlertsTableTTLSeconds: '1728000'
        tcaVESMessageStatusTableName: TCAVESMessageStatusTable
        tcaVESMessageStatusTableTTLSeconds: '86400'
        thresholdCalculatorFlowletInstances: '2'
      app_preferences:
        publisherContentType: application/json
        publisherHostName: mrlocal-mtnjftle01.homer.att.com
        publisherHostPort: '3905'
        publisherMaxBatchSize: '10'
        publisherMaxRecoveryQueueSize: '100000'
        publisherPollingInterval: '20000'
        publisherProtocol: https
        publisherTopicName: com.att.dcae.dmaap.mtnje2.DcaeTestVESPub
        publisherUserName: m00502@tca.af.dcae.att.com
        publisherUserPassword: Te5021abc
        subscriberConsumerGroup: OpenDCAE-c12
        subscriberConsumerId: c12
        subscriberContentType: application/json
        subscriberHostName: mrlocal-mtnjftle01.homer.att.com
        subscriberHostPort: '3905'
        subscriberMessageLimit: '-1'
        subscriberPollingInterval: '20000'
        subscriberProtocol: https
        subscriberTimeoutMS: '-1'
        subscriberTopicName: com.att.dcae.dmaap.mtnje2.DcaeTestVESSub
        subscriberUserName: m00502@tca.af.dcae.att.com
        subscriberUserPassword: Te5021abc
        tca_policy: '''{"domain":"measurementsForVfScaling","metricsPerFunctionalRole":[{"functionalRole":"vFirewall","policyScope":"resource=vFirewall;type=configuration","policyName":"configuration.dcae.microservice.tca.xml","policyVersion":"v0.0.1","thresholds":[{"closedLoopControlName":"CL-FRWL-LOW-TRAFFIC-SIG-d925ed73-8231-4d02-9545-db4e101f88f8","version":"1.0.2","fieldPath":"$.event.measurementsForVfScalingFields.vNicUsageArray[*].bytesIn","thresholdValue":4000,"direction":"LESS_OR_EQUAL","severity":"MAJOR"},{"closedLoopControlName":"CL-FRWL-HIGH-TRAFFIC-SIG-EA36FE84-9342-5E13-A656-EC5F21309A09","version":"1.0.2","fieldPath":"$.event.measurementsForVfScalingFields.vNicUsageArray[*].bytesIn","thresholdValue":20000,"direction":"GREATER_OR_EQUAL","severity":"CRITICAL"}]},{"functionalRole":"vLoadBalancer","policyScope":"resource=vLoadBalancer;type=configuration","policyName":"configuration.dcae.microservice.tca.xml","policyVersion":"v0.0.1","thresholds":[{"closedLoopControlName":"CL-LBAL-LOW-TRAFFIC-SIG-FB480F95-A453-6F24-B767-FD703241AB1A","version":"1.0.2","fieldPath":"$.event.measurementsForVfScalingFields.vNicUsageArray[*].packetsIn","thresholdValue":500,"direction":"LESS_OR_EQUAL","severity":"MAJOR"},{"closedLoopControlName":"CL-LBAL-LOW-TRAFFIC-SIG-0C5920A6-B564-8035-C878-0E814352BC2B","version":"1.0.2","fieldPath":"$.event.measurementsForVfScalingFields.vNicUsageArray[*].packetsIn","thresholdValue":5000,"direction":"GREATER_OR_EQUAL","severity":"CRITICAL"}]}]}'''
      artifact_name: dcae-analytics-tca
      artifact_version: 1.0.0
      connections:
        streams_publishes: []
        streams_subscribes: []
      jar_url: http://somejar
      location_id:
        get_input: location_id
      namespace: cdap_tca_hi_lo
      programs:
      - program_id: TCAVESCollectorFlow
        program_type: flows
      - program_id: TCADMaaPMRSubscriberWorker
        program_type: workers
      - program_id: TCADMaaPMRPublisherWorker
        program_type: workers
      service_component_type: cdap_app_tca
      service_id:
        get_input: service_id
      streamname: TCASubscriberOutputStream
    relationships:
    - target: cdap_host_host
      type: dcae.relationships.component_contained_in
